package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.*;
import com.tzld.longarticle.recommend.server.model.vo.VideoPoolAuditListVO;
import com.tzld.longarticle.recommend.server.service.recommend.VideoPoolAuditService;
import com.tzld.longarticle.recommend.server.util.page.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/videoPoolAudit")
@Slf4j
public class VideoPoolAuditController {

    @Autowired
    VideoPoolAuditService service;

    @PostMapping("/list")
    public CommonResponse<Page<VideoPoolAuditListVO>> articleVideoAuditList(@RequestBody VideoPoolAuditListParam param) {
        return CommonResponse.success(service.list(param));
    }

    @PostMapping("/auditArticle")
    public CommonResponse<Void> auditArticle(@RequestBody ArticleAuditParam param) {
        service.auditArticle(param);
        return CommonResponse.success();
    }

    @PostMapping("/getFilterValue")
    public CommonResponse<List<Object>> getFilterValue(@RequestBody AuditFilterParam param) {
        return CommonResponse.success(service.getFilterValue(param));
    }

    @PostMapping("/updateArticleTitle")
    public CommonResponse<Void> updateArticleTitle(@RequestBody ArticleTitleUpdateParam param) {
        service.updateArticleTitle(param);
        return CommonResponse.success();
    }

    @PostMapping("/updateVideoTitle")
    public CommonResponse<Void> updateVideoTitle(@RequestBody VideoTitleUpdateParam param) {
        service.updateVideoTitle(param);
        return CommonResponse.success();
    }

    @GetMapping("/shuffleAuditGroup")
    public CommonResponse<Void> shuffleVideoPoolAuditGroup() {
        service.shuffleVideoPoolAuditGroup(null);
        return CommonResponse.success();
    }

}
